PowerUtils.GuardClauses.Validations 3.0.2

dotnet add package PowerUtils.GuardClauses.Validations --version 3.0.2
NuGet\Install-Package PowerUtils.GuardClauses.Validations -Version 3.0.2
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="PowerUtils.GuardClauses.Validations" Version="3.0.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add PowerUtils.GuardClauses.Validations --version 3.0.2
#r "nuget: PowerUtils.GuardClauses.Validations, 3.0.2"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install PowerUtils.GuardClauses.Validations as a Cake Addin
#addin nuget:?package=PowerUtils.GuardClauses.Validations&version=3.0.2

// Install PowerUtils.GuardClauses.Validations as a Cake Tool
#tool nuget:?package=PowerUtils.GuardClauses.Validations&version=3.0.2

Helpers, extensions and utilities to work with guard clauses

⚠️ DEPRECATED

This package has been discontinued because it never evolved, and the code present in this package does not justify its continuation. It is preferable to implement this code directly in the project if necessary or if you prefer, you can use a good projects like Ardalis.GuardClauses and Throw The package will be completely removed after 2024/02/03.

Product Compatible and additional computed target framework versions.
.NET net5.0 is compatible.  net5.0-windows was computed.  net6.0 is compatible.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 is compatible.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp3.1 is compatible. 
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.0.2 147 9/2/2023
3.0.1 409 2/15/2023
3.0.0 460 11/19/2022
2.5.1 992 7/24/2022
2.4.0 1,239 4/8/2022
2.3.0 439 4/5/2022
2.2.1 404 4/4/2022
2.2.0 437 4/3/2022
2.1.0 431 3/30/2022
2.0.0 438 3/26/2022
1.2.0 440 3/20/2022
1.1.0 421 3/16/2022
1.0.0 741 3/15/2022